Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class ASTUnparsedText

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.jsp.ast.SimpleNode
              net.sourceforge.pmd.jsp.ast.ASTUnparsedText

All Implemented Interfaces:
  Node

    public class ASTUnparsedText

extends SimpleNode

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`parser`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent`

Constructor Summary
`ASTUnparsedText(int id)`
`ASTUnparsedText(JspParser p, int id)`

Method Summary
`java.lang.Object` | `jjtAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getLabel, getNthParent, getParentsOfType, getScope, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setScope, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTUnparsedText

    public ASTUnparsedText(int id)

### ASTUnparsedText

    public ASTUnparsedText(JspParser p,
                           int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JspParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.